Subject: /bin/ls working again!

From: [email-masked] (Patrick Salsbury)
Date: Wed, 15 Mar 1995 14:01:08 -0800 (PST)

I got the ls command working again! It was a permissions problem. I
had thought so, but couldn't figure out what.

	Turns out the /usr/lib directory was executable, but not readable, so
none of the shared libraries could be seen.

	Note for future reference: /usr/lib should be chmod 555. :)

Pat

	PS - Never did get the ls program to compile statically, despite what
GCC told me. Hmph.

	Thanks for all your help, everyone! I really appreciate it! :)

-------------------------------------------------------------------------------
	  Patrick Salsbury 	                IXI/Visionware           
	Sys Admin/Webmaster             4500 Bohannon Dr., Suite #280  
	Voice: 415/325-2113	             Menlo Park, CA 94025      
	 FAX: 415/325-8710	      X/UNIX/PC Integration Specialists